net.i2p.client

## Interface I2CPMessageHandler

- All Known Implementing Classes:
    BWLimitsMessageHandler, DestReplyMessageHandler, DisconnectMessageHandler, HandlerImpl, MessagePayloadMessageHandler, MessageStatusMessageHandler, RequestLeaseSetMessageHandler, SessionStatusMessageHandler, SetDateMessageHandler

      interface I2CPMessageHandler

  Define a way to handle a particular type of message
  Author:
    jrandom

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `void` | `handleMessage(I2CPMessage message, I2PSessionImpl session)`

- - ### Method Detail

    - #### getType

          int getType()

    - #### handleMessage

          void handleMessage(I2CPMessage message,
                           I2PSessionImpl session)